Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class BookmarkRulerAction

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractRulerActionDelegate
          org.eclipse.ui.texteditor.BookmarkRulerAction

All Implemented Interfaces:
  EventListener, IActionDelegate, IEditorActionDelegate, IMenuListener, MouseListener, org.eclipse.swt.internal.SWTEventListener

public class BookmarkRulerAction
extends AbstractRulerActionDelegate

Adapter for the managing bookmark action.

Since:
  2.0

Constructor Summary
`BookmarkRulerAction()`

Method Summary
`protected IAction` | `createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)` The factory method creating the underlying action.

Methods inherited from class org.eclipse.ui.texteditor.AbstractRulerActionDelegate
`menuAboutToShow, mouseDoubleClick, mouseDown, mouseUp, run, selectionChanged, setActiveEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarkRulerAction

    public BookmarkRulerAction()

Method Detail

### createAction

    protected IAction createAction(ITextEditor editor,
                                   IVerticalRulerInfo rulerInfo)

  Description copied from class: `AbstractRulerActionDelegate`
  The factory method creating the underlying action.

  Specified by:
    `createAction` in class `AbstractRulerActionDelegate`
  Parameters:
    `editor` - the editor the action to be created will work on
    `rulerInfo` - the vertical ruler the action to be created will work on
  Returns:
    the created action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.